% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/session.R
\name{get_forcedecks_tests_trials}
\alias{get_forcedecks_tests_trials}
\title{Run a standard session to get new ForceDecks tests and trials only}
\usage{
get_forcedecks_tests_trials(start_date = NULL)
}
\arguments{
\item{start_date}{In ISO 8601 UTC format (e.g., "2025-06-25T00:00:00Z") indicating the start of the test retrieval window.}
}
\value{
A named list with two data frames: \code{tests} and \code{trials}.
These contain newly retrieved ForceDecks tests and their associated trial results.
}
\description{
Use this when profiles and result definitions have already been downloaded previously.
}
\examples{
\dontrun{
# Fetch tests and trials only
session <- get_forcedecks_tests_trials()
View(session$tests)
View(session$trials)
}
}
